#!/bin/sh

(echo "/* This file is automatically generated.  DO NOT EDIT! */";\
	for f in `echo " " eelf_x86_64.o eelf_i386.o"" \
	 | sed -e 's/ e/ ld/g' -e 's/ ld/ /g' -e 's/[.]o//g'`; do \
	    echo "extern ld_emulation_xfer_type ld_${f}_emulation;"; \
	done;\
	echo "";\
	echo "#define EMULATION_LIST \\";\
	for f in `echo " " eelf_x86_64.o eelf_i386.o"" \
	 | sed -e 's/ e/ ld/g' -e 's/ ld/ /g' -e 's/[.]o//g'`; do \
	    echo "  &ld_${f}_emulation, \\"; \
	done;\
	echo "  0") >ldemul-list.h
